Grand Master Tobias:
Palus Knights are the elite knights of the Dark Elves. Their excellent swordsmanship is based on swift, precise attacks and effective defense, and it cannot be compared to other races that depend on mere strength or coarser skills.
Many of the most talented of Palus Knights are selected for the highest order, as a Shillien Knight, or become Bladedancers, with almost unearthly skill in swordsmanship.
To become a Palus Knight, you must pass the test and bring back the gaze of the abyss as proof.
Ask about the gaze of the abyss
Return